/***********************************************************************
 * Module:  JavaScriptInterfaceFactory.java
 * Author:  allen
 * Purpose: Defines the Class JavaScriptInterfaceFactory
 ***********************************************************************/

package com.hexin.android.webviewjsinterface;

import java.util.*;

/** @pdOid 594e74c0-ca23-40da-b930-a7b360d55df6 */
public class JavaScriptInterfaceFactory {
	/**
	 * 存储JavaScript接口信息的类
	 * 
	 * 
	 * @pdOid 020ca148-1e6e-4dbb-b0a7-614e62a7a4d5
	 */
	public static HashMap<String, String> mJavaScriptInterfaces = new HashMap<String, String>();
	// 注册
	static {
		mJavaScriptInterfaces.put("jse_queryall",
                "com.hexin.android.webviewjsinterface.QueryAllJavaScriptInterface");
		mJavaScriptInterfaces.put("jse_query",
                "com.hexin.android.webviewjsinterface.QueryJavaScriptInterface");

	}

}
